package org.ow2.orchestra.designer.bpmn.model.operations;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;
import org.ow2.orchestra.designer.bpmn.model.AbstractElementWithPosition;


public class OperationModel implements Serializable {

  private String id;
  private String name;
  private InterfaceModel interfaceModel;
  private final List<AbstractElementWithPosition> receiveElements = new ArrayList<AbstractElementWithPosition>();
  private final List<AbstractElementWithPosition> sendElements = new ArrayList<AbstractElementWithPosition>();
  private String inMessageType;
  private String outMessageType;

  public String getId() {
    return this.id;
  }

  public void setId(final String id) {
    this.id = id;
  }

  public String getName() {
    return this.name;
  }

  public void setName(final String name) {
    this.name = name;
  }

  public InterfaceModel getInterfaceModel() {
    return this.interfaceModel;
  }

  public void setInterfaceModel(final InterfaceModel interfaceModel) {
    this.interfaceModel = interfaceModel;
  }

  public List<AbstractElementWithPosition> getReceiveElements() {
    return this.receiveElements;
  }

  public List<AbstractElementWithPosition> getSendElements() {
    return this.sendElements;
  }

  public String getInMessageType() {
    return inMessageType;
  }

  public void setInMessageType(String inMessageType) {
    this.inMessageType = inMessageType;
  }

  public String getOutMessageType() {
    return outMessageType;
  }

  public void setOutMessageType(String outMessageType) {
    this.outMessageType = outMessageType;
  }
}
